## org.eclipse.datatools.sqltools.debugger.actions
Class ManageBreakpointRulerActionDelegate

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.ui.texteditor.AbstractRulerActionDelegate
              org.eclipse.datatools.sqltools.debugger.actions.ManageBreakpointRulerActionDelegate

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.action.IMenuListener, org.eclipse.swt.events.MouseListener, org.eclipse.swt.internal.SWTEventListener, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IActionDelegate2, org.eclipse.ui.IEditorActionDelegate

    public class ManageBreakpointRulerActionDelegate

extends org.eclipse.ui.texteditor.AbstractRulerActionDelegate

Author:
  Yang Liu

Constructor Summary
`ManageBreakpointRulerActionDelegate()`

Method Summary
`void` `setActiveEditor(org.eclipse.jface.action.IAction callerAction, org.eclipse.ui.IEditorPart targetEditor)`

Methods inherited from class org.eclipse.ui.texteditor.AbstractRulerActionDelegate
`menuAboutToShow, mouseDoubleClick, mouseDown, mouseUp, run, runWithEvent, selectionChanged`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`dispose, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManageBreakpointRulerActionDelegate

    public ManageBreakpointRulerActionDelegate()

Method Detail

### setActiveEditor

    public void setActiveEditor(org.eclipse.jface.action.IAction callerAction,
                                org.eclipse.ui.IEditorPart targetEditor)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`
  Overrides:
    `setActiveEditor` in class `org.eclipse.ui.texteditor.AbstractRulerActionDelegate`